Imagick::embossImage
Imagick::enhanceImage
Imagick
PHP Manual

# Imagick::encipherImage

Enciphers an image

### Description

bool Imagick::encipherImage ( string `$passphrase` )

Converts plain pixels to enciphered pixels. The image is not readable until it has been deciphered using Imagick::decipherImage This method is available if Imagick has been compiled against ImageMagick version 6.3.9 or newer.

### Parameters

`passphrase`

  The passphrase

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::decipherImage